rte_table_action_encap_mpls_params(3)

NAME
rte_table_action_encap_mpls_params

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

struct rte_table_action_ether_hdr ether
struct rte_table_action_mpls_hdr mpls [RTE_TABLE_ACTION_MPLS_LABELS_MAX]
uint32_t mpls_count
int unicast

Detailed Description

MPLS encap parameters.

Definition at line 465 of file rte_table_action.h.

Field Documentation

  struct rte_table_action_ether_hdr ether
Ethernet header.

Definition at line 467 of file rte_table_action.h.

  struct rte_table_action_mpls_hdr mpls[RTE_TABLE_ACTION_MPLS_LABELS_MAX]
MPLS header.

Definition at line 470 of file rte_table_action.h.

  uint32_t mpls_count
Number of MPLS labels in MPLS header.

Definition at line 473 of file rte_table_action.h.

  int unicast
Non-zero for MPLS unicast, zero for MPLS multicast.

Definition at line 476 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.